Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.ruleset
Class RuleComponentTable

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
java.util.ArrayList
oracle.rules.sdk.editor.ruleset.RuleComponentTable`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

Direct Known Subclasses:
  ActionTable, ExpressionTable, PatternTable, RuleTable, SimpleTestTable

public abstract class RuleComponentTable
extends java.util.ArrayList

RuleComponentTable is an extension of ArrayList used to remove and and reorder RuleComponents. To add new instances, use the specific type safe methods such as Action.add()

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`void` | `add(int index, java.lang.Object element)` Unsupported - use the type safe specific add methods to add new instances, for example Action.add(index).
`boolean` | `add(java.lang.Object element)` Unsupported - use the type safe specific add methods to add new instances, for example Action.add().
`boolean` | `addAll(java.util.Collection c)` Unsupported - use the type safe specific add methods to add new instances, for example Action.add().
`void` | `discardCopy()` Discards the most recent saved copy.
`RuleComponent` | `get(java.lang.String id)` Return the RuleComponent with the given id from the table
`RuleComponent[]` | `getMarked()` see `mark(Enumeration)`
`RuleComponent` | `getParent()`
`void` | `mark(java.util.Enumeration enumeration)` Mark the rows with the given id's
`void` | `mark(int[] index)` Mark the rows with the given indexes
`void` | `move(int fromIndex, int toIndex, boolean replace)`
`java.lang.Object` | `remove(int index)` Remove the RuleComponent at the given index from the table
`java.lang.Object` | `remove(java.lang.String id)` Remove the RuleComponent with the given id from the table
`int` | `removeMarked()`
`void` | `restoreCopy()` Restores the RuleComponent's properties to their state at the time of the last saveCopy().
`void` | `saveCopy()` Creates a deep copy of this RuleComponentTable so that an undo can be performed later.
`java.lang.Object` | `set(int index, java.lang.Object element)` Unsupported - use remove() then the type safe specific add methods to add a new instance, for example Action.add().
`void` | `unMark()` Clear marks.
`void` | `validate()` Validates each row in the table - @see RuleComponent#Validate()

Methods inherited from class java.util.ArrayList
`addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, removeRange, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Method Detail

### add

    public void add(int index,
                    java.lang.Object element)

  Unsupported - use the type safe specific add methods to add new instances, for example Action.add(index).
  Throws:
    `java.lang.UnsupportedOperationException`

### add

    public boolean add(java.lang.Object element)

  Unsupported - use the type safe specific add methods to add new instances, for example Action.add().
  Throws:
    `java.lang.UnsupportedOperationException`

### addAll

    public boolean addAll(java.util.Collection c)

  Unsupported - use the type safe specific add methods to add new instances, for example Action.add().
  Throws:
    `java.lang.UnsupportedOperationException`

### set

    public java.lang.Object set(int index,
                                java.lang.Object element)

  Unsupported - use remove() then the type safe specific add methods to add a new instance, for example Action.add().
  Throws:
    `java.lang.UnsupportedOperationException`

### get

    public RuleComponent get(java.lang.String id)

  Return the RuleComponent with the given id from the table
  Parameters:
    `id` - the id returned by RuleComponent.getId()
  Returns:
    the RuleComponent with the given id

### remove

    public java.lang.Object remove(int index)

  Remove the RuleComponent at the given index from the table
  Parameters:
    `index` - the index of the RuleCompoonent in the table.
  Returns:
    the Object which was removed.

### remove

    public java.lang.Object remove(java.lang.String id)

  Remove the RuleComponent with the given id from the table
  Parameters:
    `id` - the id returned by RuleComponent.getId()

### mark

    public void mark(int[] index)

  Mark the rows with the given indexes
  Parameters:
    `index` - an Array containing row numbers (not ID's) to be removed

### mark

    public void mark(java.util.Enumeration enumeration)

  Mark the rows with the given id's
  Parameters:
    `enumeration` - an enumeration containing id's to be removed

### unMark

    public void unMark()

  Clear marks. Set all rows to unmarked.

### getMarked

    public RuleComponent[] getMarked()

  see `mark(Enumeration)`
  Returns:
    an Array of the marked RuleComponents

### removeMarked

    public int removeMarked()

  Returns:
    the number of rows removed
  See Also:
    `mark(Enumeration)`

### move

    public void move(int fromIndex,
                     int toIndex,
                     boolean replace)

### getParent

    public RuleComponent getParent()

### validate

    public void validate()
                  throws RuleEditorException,
                         RuleEditorSDKException

  Validates each row in the table - @see RuleComponent#Validate()
  Throws:
    `RuleEditorException`
    `RuleEditorSDKException`

### saveCopy

    public void saveCopy()
                  throws RuleEditorSDKException

  Creates a deep copy of this RuleComponentTable so that an undo can be performed later. Copies are stacked, enabling multiple undo points.
  Throws:
    `RuleEditorSDKException`

### discardCopy

    public void discardCopy()
                     throws RuleEditorException

  Discards the most recent saved copy.
  Throws:
    `RuleEditorException` - if there are no more saved copies on the stack.

### restoreCopy

    public void restoreCopy()
                     throws RuleEditorException

  Restores the RuleComponent's properties to their state at the time of the last saveCopy(). All dependent RuleComponents and RuleComponentTables must be re-retrieved since they are copies of the original.
  Throws:
    `RuleEditorException` - if there are no more saved copies on the stack.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.